Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.state
Interface PortletPageNavigationalState

All Known Implementing Classes:
  PortletPageNavigationalStateImpl, TCKPortletPageNavigationalState

    public interface PortletPageNavigationalState

Defines the page navigational state view that the controller needs to operate on. Its name begins with page however it does not mandate that the represented context to be a page. I.E it could represent a set of physical pages or something else.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPortletPublicNavigationalState(java.lang.String portletWindowId)` Obtain the public navigational state of a portlet window.
`java.util.Set<java.lang.String>` | `getPortletWindowIds()` Returns the portlet window ids referenced.
`PortletWindowNavigationalState` | `getPortletWindowNavigationalState(java.lang.String portletWindowId)` Returns the navigational state of a portlet window or null if it does not exist.
`java.util.Set<javax.xml.namespace.QName>` | `getPublicNames()` Returns the set of public names.
`java.lang.String[]` | `getPublicNavigationalState(javax.xml.namespace.QName name)` Returns a public navigational state entry or null if it is not found.
`void` | `removePublicNavigationalState(javax.xml.namespace.QName name)` Removes a public navigational state entry.
`void` | `setPortletPublicNavigationalState(java.lang.String portletWindowId, java.util.Map<java.lang.String,java.lang.String[]> update)` Update the public navigational state of a portlet window.
`void` | `setPortletWindowNavigationalState(java.lang.String portletWindowId, PortletWindowNavigationalState portletWindowState)` Update the navigational state of a portlet window.
`void` | `setPublicNavigationalState(javax.xml.namespace.QName name, java.lang.String[] value)` Sets a public navigational state entry.

Method Detail

### getPortletWindowIds

    java.util.Set<java.lang.String> getPortletWindowIds()

  Returns the portlet window ids referenced.

  Returns:
    a set of window id

### getPortletWindowNavigationalState

    PortletWindowNavigationalState getPortletWindowNavigationalState(java.lang.String portletWindowId)
                                                                     throws java.lang.IllegalArgumentException

  Returns the navigational state of a portlet window or null if it does not exist.

  Parameters:
    `portletWindowId` - the portlet window id
  Returns:
    the portlet window navigational state
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid

### setPortletWindowNavigationalState

    void setPortletWindowNavigationalState(java.lang.String portletWindowId,
                                           PortletWindowNavigationalState portletWindowState)
                                           throws java.lang.IllegalArgumentException,
                                                  java.lang.IllegalStateException

  Update the navigational state of a portlet window.

  Parameters:
    `portletWindowId` - the portlet window id
    `portletWindowState` - the portlet window state
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid
    `java.lang.IllegalStateException` - if the page state is read only

### getPortletPublicNavigationalState

    java.util.Map<java.lang.String,java.lang.String[]> getPortletPublicNavigationalState(java.lang.String portletWindowId)
                                                                                         throws java.lang.IllegalArgumentException

  Obtain the public navigational state of a portlet window. The interpretation of what should be retrieved is left up to the implementor. An example of implementation would use the mapping between qnames and name provided by the referenced portlet info.

  Parameters:
    `portletWindowId` - the portlet window id
  Returns:
    the portlet public navigational state
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid

### setPortletPublicNavigationalState

    void setPortletPublicNavigationalState(java.lang.String portletWindowId,
                                           java.util.Map<java.lang.String,java.lang.String[]> update)
                                           throws java.lang.IllegalArgumentException,
                                                  java.lang.IllegalStateException

  Update the public navigational state of a portlet window. The interpretation of what should be updated is left up to the implementor. An example of implementation would use the mapping between qname and name provided by the referenced portlet info.

  The update argument values with a length of zero should be treated as removals.

  Parameters:
    `portletWindowId` - the portlet window id
    `update` - the updates
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid
    `java.lang.IllegalStateException` - if the page state is read only

### getPublicNames

    java.util.Set<javax.xml.namespace.QName> getPublicNames()

  Returns the set of public names.

  Returns:
    the public names

### getPublicNavigationalState

    java.lang.String[] getPublicNavigationalState(javax.xml.namespace.QName name)
                                                  throws java.lang.IllegalArgumentException

  Returns a public navigational state entry or null if it is not found.

  Parameters:
    `name` - the name
  Returns:
    the entry value
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid

### setPublicNavigationalState

    void setPublicNavigationalState(javax.xml.namespace.QName name,
                                    java.lang.String[] value)
                                    throws java.lang.IllegalArgumentException,
                                           java.lang.IllegalStateException

  Sets a public navigational state entry.

  Parameters:
    `name` - the name
    `value` - the new value
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid
    `java.lang.IllegalStateException` - if the page state is read only

### removePublicNavigationalState

    void removePublicNavigationalState(javax.xml.namespace.QName name)
                                       throws java.lang.IllegalArgumentException,
                                              java.lang.IllegalStateException

  Removes a public navigational state entry.

  Parameters:
    `name` - the name
  Throws:
    `java.lang.IllegalArgumentException` - if an argument is not valid
    `java.lang.IllegalStateException` - if the page state is read only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.